<?php
require ("Conexion/Conexion.php");
require ("lib/lib.php");
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();
	
	if($_POST['FlotillaID'] != ''){
		if(preg_match("/^[[:digit:]]+$/", $_POST['FlotillaID'])){
			if($_POST['Dia1'] != ''){
				if(preg_match("/^[0-9]{1,6}(\.[0-9]{1,2})?$/", $_POST['Dia1'])){
					if($_POST['Semana1'] != ''){
						if(preg_match("/^[0-9]{1,6}(\.[0-9]{1,2})?$/", $_POST['Semana1'])){
							if($_POST['Mes1'] != ''){
								if(preg_match("/^[0-9]{1,6}(\.[0-9]{1,2})?$/", $_POST['Mes1'])){
									if($_POST['Dia2'] != ''){
										if(preg_match("/^[0-9]{1,6}(\.[0-9]{1,2})?$/", $_POST['Dia2'])){
											if($_POST['Semana2'] != ''){
												if(preg_match("/^[0-9]{1,6}(\.[0-9]{1,2})?$/", $_POST['Semana2'])){
													if($_POST['Mes2'] != ''){
														if(preg_match("/^[0-9]{1,6}(\.[0-9]{1,2})?$/", $_POST['Mes2'])){
															$FlotillaID = $_POST['FlotillaID'];
															$ClienteID = $_SESSION['ClienteID'];
															$QueryFlotilla = mssql_query("SELECT * FROM Vehiculo WHERE VehiculoID = '$FlotillaID' AND ClienteID = '$ClienteID'");
															if(mssql_num_rows($QueryFlotilla) >= 1){
																$EvaluarFlotilla = mssql_fetch_array($QueryFlotilla);
																$Dia1 = $_POST['Dia1'];
																$Semana1 = $_POST['Semana1'];
																$Mes1 = $_POST['Mes1'];
																$Dia2 = $_POST['Dia2'];
																$Semana2 = $_POST['Semana2'];
																$Mes2 = $_POST['Mes2'];
																$Tabla = "Modificacion en Edicion de Tarjeta:".$FlotillaID;
																if($EvaluarFlotilla['LimiteLTDia'] != $Dia1){
																	RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																	$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'LimiteLTDia', 
																	$EvaluarFlotilla['LimiteLTDia'], $Dia1);
																	$Bandera = 1;		
																}
																if($EvaluarFlotilla['LimiteLTSemana'] != $Semana1){
																	RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																	$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'LimiteLTSemana', 
																	$EvaluarFlotilla['LimiteLTSemana'], $Semana1);
																	$Bandera = 1;		
																}
																if($EvaluarFlotilla['LimiteLTMes'] != $Mes1){
																	RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																	$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'LimiteLTMes', 
																	$EvaluarFlotilla['LimiteLTMes'], $Mes1);
																	$Bandera = 1;	
																}
																if($EvaluarFlotilla['LimiteMNDia'] != $Dia2){
																	RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																	$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'LimiteMNDia', 
																	$EvaluarFlotilla['LimiteMNDia'], $Dia2);
																	$Bandera = 1;
																}
																if($EvaluarFlotilla['LimiteMNSemana'] != $Semana2){
																	RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																	$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'LimiteMNSemana', 
																	$EvaluarFlotilla['LimiteMNSemana'], $Semana2);
																	$Bandera = 1;
																}
																if($EvaluarFlotilla['LimiteMNMes'] != $Mes2){
																	RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																	$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'LimiteMNMes', 
																	$EvaluarFlotilla['LimiteMNMes'], $Mes2);
																	$Bandera = 1;
																}
																if($Bandera == 1){
																	$QueryUpdate = mssql_query("UPDATE Vehiculo SET LimiteLTDia='$Dia1', 
																	LimiteLTSemana='$Semana1', LimiteLTMes='$Mes1', LimiteMNDia='$Dia2',
																	LimiteMNSemana='$Semana2', LimiteMNMes='$Mes2' WHERE VehiculoID = '$FlotillaID'");
																	echo 'Actualizado';															
																}else
																	echo "<p class='success'>No existen cambios que registrar de la Flotilla!</p>";
															}else
																echo "<p class='error'>La Flotilla seleccionada no pertenece al Cliente/Usuario Autenticado!</p>";
														}else
															echo "<p class='error'>El Limite del Mes debe ser númerico!</p>";
													}else
														echo "<p class='error'>Escriba el Limite del Mes en Importe!</p>";
												}else
													echo "<p class='error'>El Limite de la Semana debe ser númerico!</p>";																	
											}else
												echo "<p class='error'>Escriba el Limite de la Semana en Importe!</p>";
										}else
											echo "<p class='error'>El Limite del Dia debe ser númerico!</p>";														
									}else
										echo "<p class='error'>Escriba el Limite del Dia en Importe!</p>";													
								}else
									echo "<p class='error'>El Limite del Mes debe ser númerico!</p>";
							}else
								echo "<p class='error'>Escriba el Limite del Mes en Litros!</p>";
						}else
							echo "<p class='error'>El Limite de la Semana debe ser númerico!</p>";
					}else
						echo "<p class='error'>Escriba el Limite de la Semana en Litros!</p>";
				}else
					echo "<p class='error'>El Limite del Dia debe ser númerico!</p>";
			}else
				echo "<p class='error'>Escriba el Limite del Dia en Litros!</p>";
		}else
			echo "<p class='error'>El No. de Flotilla debe ser númerico!</p>";
	}else
		echo "<p class='error'>Selecione la Flotilla a Modificar!</p>";
}
?>